Page MenuHomePhabricator

Clarify notification icons
Closed, ResolvedPublic

Description

Pau has new icon designs for:

  • edit-user-talk:
  • mention / flow-mention:
  • user-rights:
  • emailuser:
  • flow-new-topic:
  • flow-post-reply: change to the current chat icon:
  • pagetriage-mark-as-reviewed:
  • flow-post-edited:
  • flow-topic-renamed:

  • There are also new icons for reverted and page-linked, but those are already covered in T121624: Clarify link and revert icons on notifications

    Event Timeline

    Catrope created this task.Dec 17 2015, 12:45 AM
    Catrope raised the priority of this task from to Normal.
    Catrope updated the task description. (Show Details)
    Catrope added a project: Notifications.
    Catrope added a subscriber: Catrope.
    Restricted Application added a subscriber: Aklapper. · View Herald Transcript

    Assigning to Pau so he can upload the individual icons as and when they are ready.

    Change 259785 had a related patch set uploaded (by MtDu):
    Clarify link and revert icons on notifications

    https://gerrit.wikimedia.org/r/259785

    Pginer-WMF updated the task description. (Show Details)Dec 29 2015, 12:57 PM
    Pginer-WMF updated the task description. (Show Details)Dec 29 2015, 1:06 PM

    I added the icons (and extended the list with "flow-post-edited" and "flow-topic-renamed").
    Moving it to ready to pick up, unless anything else is missing.

    MtDu claimed this task.Jan 13 2016, 4:02 AM
    MtDu added a subscriber: MtDu.

    Will take care of this. :)

    Change 263808 had a related patch set uploaded (by MtDu):
    Clarify some notification icons - edit-user-talk - mention - user-rights - emailuser

    https://gerrit.wikimedia.org/r/263808

    MtDu added a comment.Jan 13 2016, 4:30 AM

    It seems as if not all the icons are in the echo extension. Will have to edit Flow and Gather and one more for pagetriage (Don't know which, please help)? For Flow, this is the notifications.php file. https://dpaste.de/Cewq#L8,39,63,84,97 They have a default icon. What is the best way to implement the new svg files since they no longer use the default one? Also, what is the extension that needs modification for the new pagetriage icon?
    Thanks,
    MtDu

    It seems as if not all the icons are in the echo extension. Will have to edit Flow and Gather and one more for pagetriage (Don't know which, please help)? For Flow, this is the notifications.php file. https://dpaste.de/Cewq#L8,39,63,84,97 They have a default icon. What is the best way to implement the new svg files since they no longer use the default one?

    Assuming every single Flow notification will now have a different icon (is that true? I didn't check), it's probably best to remove the default icon and specify the icon for each individual type, like Echo already does. Also, as I pointed out on https://gerrit.wikimedia.org/r/#/c/263808/1/Echo.php , you'll have to change the presentation model classes as well. Flow also uses a default icon type there (in the FlowPresentationModel base class), so you'd have to move that up to the specific presentation models for each notification type as well.

    If it does still make sense to have a default icon (i.e. if multiple notification types use the same icon, and that icon is generic) then you can simply leave it in place, and specify it in places where it needs to be different. Specifying an icon for a specific type automatically overrides the default.

    Change 263808 merged by jenkins-bot:
    Clarify some notification icons

    https://gerrit.wikimedia.org/r/263808

    Change 264212 had a related patch set uploaded (by MtDu):
    Clarify some notification icons *flow-new-topic *flow-post-edited *flow-post-reply *flow-topic-renamed

    https://gerrit.wikimedia.org/r/264212

    MtDu added a comment.Jan 15 2016, 12:02 AM

    One question. For the page triage icon, the default one currently is 'checkmark', but when I look through the files, I can't find a path to icon 'checkmark'. Could someone tell me which icon that is so I can replace it with the correct one and put it in the right place?
    Thanks,
    MtDu

    MtDu added a comment.Jan 15 2016, 12:06 AM

    I think the pagetriage icon should replace reviewed in Echo. Correct me if I'm wrong.

    MtDu added a comment.Jan 15 2016, 12:14 AM

    Update:
    Reviewed uses the same icon as checkmark. Will keep review icon and use the new pagetriage icon for checkmark.

    Change 264216 had a related patch set uploaded (by Catrope):
    Update Flow notification icons

    https://gerrit.wikimedia.org/r/264216

    Update:
    Reviewed uses the same icon as checkmark. Will keep review icon and use the new pagetriage icon for checkmark.

    I think you should probably do the reverse: given what the new pagetriage icon looks like, I think 'reviewed' is a better name than 'checkmark'. In any case, it's silly that we currently have two names for the same icon, one of which is unused. I tried to clean up a bit of that in https://gerrit.wikimedia.org/r/#/c/264140

    Change 264230 had a related patch set uploaded (by MtDu):
    Replace Talk icon with new flow-post-reply icon

    https://gerrit.wikimedia.org/r/264230

    Change 264233 had a related patch set uploaded (by MtDu):
    Replace review icon

    https://gerrit.wikimedia.org/r/264233

    Change 264230 merged by jenkins-bot:
    Replace Talk icon with new chat icon

    https://gerrit.wikimedia.org/r/264230

    Change 264212 merged by jenkins-bot:
    Clarify some notification icons

    https://gerrit.wikimedia.org/r/264212

    Change 264243 had a related patch set uploaded (by MtDu):
    Use new pagetriage-mark-as-reviewed icon

    https://gerrit.wikimedia.org/r/264243

    Change 264233 merged by jenkins-bot:
    Replace review icon

    https://gerrit.wikimedia.org/r/264233

    Change 264243 merged by jenkins-bot:
    Use new pagetriage-mark-as-reviewed icon

    https://gerrit.wikimedia.org/r/264243

    Change 264216 merged by jenkins-bot:
    Update Flow notification icons

    https://gerrit.wikimedia.org/r/264216

    MtDu added a comment.Jan 19 2016, 9:01 PM

    Closing this as resolved.

    MtDu closed this task as Resolved.Jan 19 2016, 9:01 PM
    Catrope reopened this task as Open.Jan 19 2016, 9:32 PM
    jmatazzoni closed this task as Resolved.Feb 11 2016, 8:57 PM